<?php
error_reporting(E_ALL);
/*******************************************************************************************
*   Script du module GestFiles ralis par Gquick pour le projet JBC Explorer v7+
*   Site web du projet : http://jcjcjcjc.free.fr/
*   Forum du projet : http://www.freescript.be/viewforum.php?forum=10
*   Forum du module : http://www.freescript.be/viewtopic.php?topic=???&forum=16
*
*  Ce Module est bas sur les travaux de JPR
*
*  FONCTIONS DU MODULE
*
*  Evolutions :
*  v 1.00	06/03/2005	Gquick		Cration sous forme de module
*								avec reprise des travaux de JPR
*  v 1.01	07/03/2005	Gquick		Corrections Bug
*		- Correction Bug de la gestion <input type=image> qui ne passe comme un submit sous IE
*		- Ajout vrification stricte des noms des rpertoires crer
*  v 1.02	17/03/2005	Gquick		Ajout fonction de renommage de fichier,
*								simplification de la mise en forme,
*								gnralisation de la mthode de patch
*								ajout de la fonction en mode miniature
*  v 1.03	18/03/2005	Gquick		Correction Bug "selectionner tout"
*  v 1.04	19/03/2005	Gquick		Correction Bugs de mise en forme
*								et sur renommage des dossiers
*								ajout robustesse sur le hacking
*  v 1.05	20/05/2005	Gquick		Compatibilit avec Explorer 7.05
*  v 1.06	20/05/2005 	Polysosycs & Gquick
*								Ajout de la compression au format zip
*								et de la dcomptession au format zip, tar.gz, tgz, tar
*								utilise la librairie pclzip
*  v 1.07	10/09/2005 	Gquick & gdecad
*								Modif de gf_print_footer pour le rendre compatible du module find
*								Modif suppression rpertoire pour tre compatible info fichier
*  v 1.08	06/11/2005 	Gquick
*								Correction Bug sur fichiers avec un '
*  v GU.3b09.0	30/08/2007 	scavenger
*								- Modification maxlength=40 pour les repertoires ligne 297
*								- Correction Bug remplacements E par e ligne 297 + ereg_replace
*								qui respectent la casse
*  v GU.3b10.0	23/09/2007 	scavenger
*								- input checkbox line 262 : suppr du BR
*  v GU.3b11.0	28/09/2007 	scavenger
*								- lines 291-309 : no background color anymore
*								- lines 303-302 : inversion : cut avant copy : + logique
*								- nombreuses autres modifs, notamment sur gf_print_checkbox[_tn] :
*								  chemin relatif au lieu d'absolu c + secure
*								  gf_print_header : comment + gf_print_footer=>gf_print_header
*								 $CONFIG['ICO_CORE_SIZE'] = 16 ou 32
*								 gestfile => gestfile_$CONFIG['ICO_CORE_SIZE']

*******************************************************************************************/
@session_start();    			// demarre une session si ce n'est dja fait
$hack_module['GestFiles']=true;	// signifie que le module existe et a t inclus correctement
$gf_version='1.09';

$gf_isauth=gf_isauthentify();	// mode authentifie ou non
$gf_isreallyauth=gf_isreallyauthentify();	
$gf_checked_all='';				// '' ou 'checked ' (tat initiale des cases a cocher)

// ------------------------------------------------------------------------------------------------------------------------------------------------
// PUBLIC function
// ------------------------------------------------------------------------------------------------------------------------------------------------
/* Gnrateur de chane alatoire fait de 2 functions assign_rand_value et get_rand_id */

/* assign_rand_value($num): put in a number, 1 to 36, and assign an alphanumeric value to it. */

function assign_rand_value($num)
{
// accepts 1 - 36
  switch($num)
  {
    case "1":
     $rand_value = "a";
    break;
    case "2":
     $rand_value = "b";
    break;
    case "3":
     $rand_value = "c";
    break;
    case "4":
     $rand_value = "d";
    break;
    case "5":
     $rand_value = "e";
    break;
    case "6":
     $rand_value = "f";
    break;
    case "7":
     $rand_value = "g";
    break;
    case "8":
     $rand_value = "h";
    break;
    case "9":
     $rand_value = "i";
    break;
    case "10":
     $rand_value = "j";
    break;
    case "11":
     $rand_value = "k";
    break;
    case "12":
     $rand_value = "l";
    break;
    case "13":
     $rand_value = "m";
    break;
    case "14":
     $rand_value = "n";
    break;
    case "15":
     $rand_value = "o";
    break;
    case "16":
     $rand_value = "p";
    break;
    case "17":
     $rand_value = "q";
    break;
    case "18":
     $rand_value = "r";
    break;
    case "19":
     $rand_value = "s";
    break;
    case "20":
     $rand_value = "t";
    break;
    case "21":
     $rand_value = "u";
    break;
    case "22":
     $rand_value = "v";
    break;
    case "23":
     $rand_value = "w";
    break;
    case "24":
     $rand_value = "x";
    break;
    case "25":
     $rand_value = "y";
    break;
    case "26":
     $rand_value = "z";
    break;
    case "27":
     $rand_value = "0";
    break;
    case "28":
     $rand_value = "1";
    break;
    case "29":
     $rand_value = "2";
    break;
    case "30":
     $rand_value = "3";
    break;
    case "31":
     $rand_value = "4";
    break;
    case "32":
     $rand_value = "5";
    break;
    case "33":
     $rand_value = "6";
    break;
    case "34":
     $rand_value = "7";
    break;
    case "35":
     $rand_value = "8";
    break;
    case "36":
     $rand_value = "9";
    break;
  }
return $rand_value;
}

/* get_rand_id: returns a random string of alphanumeric characters with given length. */

function get_rand_id($length)
{
  if($length>0) 
  { 
  $rand_id="";
   for($i=1; $i<=$length; $i++)
   {
   mt_srand((double)microtime() * 1000000);
   $num = mt_rand(1,36);
   $rand_id .= assign_rand_value($num);
   }
  }
return $rand_id;
} 

/* get_rand_numbers: returns a number with given length. */
function get_rand_numbers($length)
{
  if($length>0) 
  { 
  $rand_id="";
   for($i=1; $i<=$length; $i++)
   {
   mt_srand((double)microtime() * 1000000);
   $num = mt_rand(27,36);
   $rand_id .= assign_rand_value($num);
   }
  }
return $rand_id;
} 

/**
	* Rcupration du chemin complet d'un icone
	* @Public
	* @Global array $CONFIG		tableau de config de l'explorer
	* @param string $path_prefix	chemin relatif pour retourner a .dirsys
	* @param string $icon_name	Nom de l'icone a rcuprer
	* @return String		Chemin relatif de l'icone
*/
function gf_getIcon($path_prefix,$icon_name) {
	global $CONFIG;
	// Recherche d'abord dans le dossier icones puis dans le dossier du module
	$icon_path=$path_prefix.$CONFIG['ICO_FOLDER_CORE'].'/'.$CONFIG['ICO_CORE_SIZE'].'/'.$icon_name.'.png';
	if (file_exists($icon_path)) return($icon_path);
	$icon_path=$path_prefix.$CONFIG['ICO_FOLDER_CORE'].'/'.$CONFIG['ICO_CORE_SIZE'].'/'.$icon_name.'.gif';
	if (file_exists($icon_path)) return($icon_path);
	$icon_path=$path_prefix.'modules/gestfiles/icones/'.$CONFIG['ICO_CORE_SIZE'].'/'.$icon_name.'.png';
	if (file_exists($icon_path)) return($icon_path);
	$icon_path=$path_prefix.'modules/gestfiles/icones/'.$CONFIG['ICO_CORE_SIZE'].'/'.$icon_name.'.gif';
	if (file_exists($icon_path)) return($icon_path);
}

/**
	* Ajoute un colonne pour les cases a cocher dans la tableau
	* @return none
*/
//function gf_print_header() {
//	echo "<td style=width:17px>&nbsp;</td>";
//}

/**
	* Ajoute la cases a cocher dans le tableau
	* @Public
	* @Global string $gf_checked_all	tat initiales des cases a cocher "" ou "checked"
	* @param string $directory,$file	chemin du fichier concerne
	* @return none
*/
function gf_print_checkbox($directory,$file) {
global $gf_checked_all, $CONFIG;
	$ExplorerPath = $CONFIG['ROOT'];
	$a = SoustractPath($CONFIG['DOCUMENT_ROOT'],$ExplorerPath);
	$b = SoustractPath($directory,$CONFIG['DOCUMENT_ROOT']);
	$chaine_url_final = EncodeForUrl('..'.RemoveLastSlashes($a).$b.$file);

	if ( is_file($chaine_url_final) or is_dir($chaine_url_final) ) {
	return '<td style="width:17px"><input type=checkbox name=selected_files[] value="'.$chaine_url_final.'" '.$gf_checked_all.'></td>';
	} else return '&nbsp';
}

/**
	* Ajoute la cases a cocher dans les miniatures
	* @Public
	* @Global string $gf_checked_all	tat initiales des cases a cocher "" ou "checked"
	* @param string $directory,$file	chemin du fichier concerne
	* @return none
*/
function gf_print_checkbox_tn($directory,$file) {
global $gf_checked_all, $CONFIG;

	$ExplorerPath = $CONFIG['ROOT'];
	$a = SoustractPath($CONFIG['DOCUMENT_ROOT'],$ExplorerPath);
	$b = SoustractPath($directory,$CONFIG['DOCUMENT_ROOT']);
	$chaine_url_final = EncodeForUrl('..'.RemoveLastSlashes($a).$b.$file);

	if ( is_file($chaine_url_final) or is_dir($chaine_url_final) ) {
	echo '<input type=checkbox name=selected_files[] value="'.$chaine_url_final.'" '.$gf_checked_all.'>';
	} else echo '&nbsp';
}

/**
	* Ajoute le bandeau de gestion des fichiers
	* @Global array $_SESSION
	* @param string $path_prefix	chemin relatif pour retourner a .dirsys
	* @return none
*/
function gf_print_header($path_prefix='./')
{
global $gf_checked_all,$gf_isreallyauth,$CONFIG;
$gf_isreallyauth=gf_isreallyauthentify();

	$icon_space=str_repeat("&nbsp",5);
	echo '<table class="gestfile_'.$CONFIG['ICO_CORE_SIZE'].'" border="0" cellspacing="0" cellpadding="0" width="100%"><TR valign="center">';
	echo "<TD>";
	if (empty($gf_checked_all))
	{
		echo "<input type=checkbox name='action' onClick='javascript:document.gestfiles.submit()' value='Cocher'>";
	} else {
		echo "<input type=checkbox name='action' onClick='javascript:document.gestfiles.submit()' value='Dcocher' checked>";
	}
	echo "</TD><TD >Appliquer  la slection :</TD><TD align=left >";

	if ($gf_isreallyauth)
	{
	echo
		$icon_space.'<input type=image src="'.gf_getIcon($path_prefix,"delete").'" name="Delete" value="Delete" alt="Effacer" title="Effacer" align="middle">'
		.$icon_space.'<input type=image src="'.gf_getIcon($path_prefix,"cut").'" name="Cut" value="Cut" alt="Couper" title="Couper" align="middle">'
		.$icon_space.'<input type=image src="'.gf_getIcon($path_prefix,"copy").'" name="Copy" value="Copy" alt="Copier" title="Copier" align="middle">'
		.$icon_space.'<input type=image src="'.gf_getIcon($path_prefix,"zip").'" name="Zip" value="Zip" alt="Compresser-Dcompresser" title="Compresser-Dcompresser" align="middle">';
	}

	echo
		$icon_space.'<input type=image src="'.gf_getIcon($path_prefix,"download").'" name="Download" value="Download" alt="Tlcharger maintenant (Pour un bon fonctionnement, veuillez autoriser les Popup pour ce site)" title="Tlcharger maintenant (Pour un bon fonctionnement, veuillez autoriser les Popup pour ce site)" align="middle">';

	if (isset($_SESSION['Memo_selected_files']) and	isset($_SESSION['Memo_action']))
	{
		echo $icon_space.'<input type=image src="'.gf_getIcon($path_prefix,"paste").'" name="Paste" value="Paste" alt="Coller" title="Coller" align="middle">';
		
		echo '<small> '.count($_SESSION['Memo_selected_files']).' fichier(s) </small>';
	}
	echo '</TD>';
	
	if ($gf_isreallyauth)
	{
		echo '<TD align=right><input type="text" name="NewName" size="20" maxlength="40" align="middle" title="Nom du dossier &agrave; crer, du fichier &agrave; renommer ou du fichier zip">&nbsp;</TD>';
		echo '<TD align=left>';
		echo '<input type=image src="'.gf_getIcon($path_prefix,"newfolder").'" name="CreateNewFolder" value="CreateNewFolder" alt="Crer dossier" title="Crer dossier" align="middle">';
		echo '&nbsp;/&nbsp;';
		echo '<input type=image src="'.gf_getIcon($path_prefix,"rename").'" name="Rename" value="Rename" alt="Renommer" title="Renommer" align="middle">';
	}
	echo '</TD></TR></table></form>';
}

// ------------------------------------------------------------------------------------------------------------------------------------------------
// PRIVATE function
// ------------------------------------------------------------------------------------------------------------------------------------------------

/**
	* Test si on est en mode authentifie
	* @Private
	* @return boolean			true/false
*/
function gf_isauthentify() {
	// Modification pour GU par Javamanxp
	// global $CONFIG,$CONFIG_AUTH;
	//$module_path=str_replace('\\','/',dirname(__FILE__)).'/../';
	// if(!isset($CONFIG_AUTH)) include $CONFIG['DOCUMENT_ROOT'].'/'.$CONFIG['DIRSYS'].'/modules/auth/func.inc.php';
	// Remplacement de CheckAuth par CheckAdmin javamanxp
	// if (CheckAdmin($CONFIG['DOCUMENT_ROOT'].'/'.$CONFIG['DIRSYS'].'/auth/auth.inc.php')===1) return(true);
	return(true); 
/*	return(false); */
	// Fin de Modification pour GU par Javamanxp
}

function gf_isreallyauthentify() {
	global $CONFIG,$CONFIG_AUTH;
	// Modification pour GU par Javamanxp
	if(isset($_SESSION['infouser'])) {
		if($_SESSION['infouser'][3]) return true;
		else
		if($_SESSION['infouser'][4][1])
			if(array_search('gestfiles',$_SESSION['infouser'][4][1])!==false) {
				return(true);
			} else return(false); 
		else return(false); 
	} else {
		//$module_path=str_replace('\\','/',dirname(__FILE__)).'/../';
		if(!isset($CONFIG_AUTH)) include $_SERVER['DOCUMENT_ROOT'].$_SESSION['docROOT2'].'/'.$CONFIG['DIRSYS'].'/modules/auth/func.inc.php';
		// Remplacement de CheckAuth par CheckAdmin javamanxp
		if (CheckAdmin($_SERVER['DOCUMENT_ROOT'].$_SESSION['docROOT2'].'/'.$CONFIG['DIRSYS'].'/auth/auth.inc.php')===1) return(true);
		return(false); 
	}
	// Fin de Modification pour GU par Javamanxp
}


/**
	* Ntoie une chaine des caractres spciaux
	* @Private
	* @param string $str			la chaine a traiter
	* @return string				la chaine alphanumrique [a-zA-Z0-9.]
*/
function gf_cleanStr($str) {
	$str=trim($str);
	$str=ereg_replace('[ \']','_',$str);	// espace et ' => _
	$str=ereg_replace('\.+','.',$str);	// un seul . de suite
	$str=ereg_replace('[]','A',$str);
	$str=ereg_replace('[]','a',$str);
	$str=ereg_replace('[]','C',$str);
	$str=ereg_replace('[]','c',$str);
	$str=ereg_replace('[]','E',$str);
	$str=ereg_replace('[]','e',$str);
	$str=ereg_replace('[]','I',$str);
	$str=ereg_replace('[]','i',$str);
	$str=ereg_replace('[]','O',$str);
	$str=ereg_replace('[]','o',$str);
	$str=ereg_replace('[]','U',$str);
	$str=ereg_replace('[]','u',$str);
	$str=ereg_replace('[?]','Y',$str);
	$str=ereg_replace('[]','y',$str);
	return ereg_replace("[^[:alnum:]._]","",$str); // vire les autres caractres non alphanum . ou _
}


/**
	* Ralise les actions qui ont t passes par _POST
	* utilise la 	_SESSION courrante
	* @Private
	* @Global array $CONFIG			tableau de config de l'explorer
	* @Global string $gf_checked_all	tat initiales des cases a cocher "" ou "checked"
	* @Global boolean $gf_isauth		status authentification
	* @param string $current_path		chemin actuel
	* @return none
*/
function gf_do_action($current_path) {
global $CONFIG;
global $gf_checked_all;
global $gf_isauth;
global $gf_isreallyauth;

	if (!isset($gf_isauth) or !$gf_isauth) return;
	if (!isset($current_path) or empty($current_path)) return;
	if (!isset($gf_checked_all)) $gf_checked_all='';
	echo "<form name=gestfiles method=post>";
	//
	// Dtermine si une action a eu lieu et si oui laquel (Delete/Copy/Cut/Paste/...)
	$action=null;
	// Cas des post par input type=image
	foreach ($_POST as $key=>$value) {
		$tmp_action=substr($key,0,-2);
		if ( ('_x'==substr($key,-2)) and isset($_POST[$tmp_action . '_y']) ) {
			$action=$tmp_action;
			break;
		}
	}
	if (null==$action and isset($_POST['action'])) $action=$_POST['action'];

	//  Le tableau des fichiers slectionnes est passe dans $_POST[selected_files]
	$selected_files=array();
	if (isset($_POST['selected_files'])) $selected_files=$_POST['selected_files'];
	//  Le Nom d'un nouveau dossier ou d'un fichier est pass dans $_POST['NewName']
	$NewName='';
	if (isset($_POST['NewName'])) {
		$NewName=gf_cleanStr($_POST['NewName']);
		if(!empty($NewName)) {
			if ($action!='Zip') {
				if (count($selected_files)>0) $action='Rename'; // Scurit dans le cas de l'appuie sur enter
				else $action='Crer dossier'; // Scurit dans le cas de l'appuie sur enter
			}
		}
	}
	$raz_memo=false;

	switch ($action) {
		case 'Delete':
			// Effacement des fichiers slectionnes
			foreach ($selected_files as $filename) {
				$filename=trim($filename); // Par prcaution
				$local_name=str_replace($CONFIG['DOCUMENT_ROOT'],'',$filename);
				$tablocal_name = explode('/',$local_name);
				if (is_file($filename)) {
					$tmpchemin = "";
					$nbtab=count($tablocal_name);
					if($tablocal_name[0]!="corbeille") {
						for($k=0;$k<$nbtab;$k++) {
							$tmpchemin = $tmpchemin."/".$tablocal_name[$k];
							if(is_dir($CONFIG['DOCUMENT_ROOT'].$tmpchemin)) {
								if(!is_dir($CONFIG['DOCUMENT_ROOT'].'corbeille/'.$tmpchemin))
									mkdir($CONFIG['DOCUMENT_ROOT'].'corbeille/'.$tmpchemin);
							}
							else rename($filename,$CONFIG['DOCUMENT_ROOT'].'corbeille/'.$local_name);
						}
					}
					else if (!@unlink($filename)) echo '<B><font color=red>ERREUR de suppression du fichier '.$local_name.'</font></B><BR>';
				} elseif (is_dir($filename)) {
					if($tablocal_name[0]!="corbeille") {
						rename($filename,$CONFIG['DOCUMENT_ROOT'].'corbeille/'.$local_name);
					}
					else {
						$findMatch = FindRecursiv($filename,"*",false);
						while(list($key,$val) = each($findMatch)){
								@unlink($val);
						}
						if (is_file($filename.DIRECTORY_SEPARATOR.'.dirinfo')) 
							@unlink($filename.DIRECTORY_SEPARATOR.'.dirinfo');
						if (is_file($filename.DIRECTORY_SEPARATOR.'.htaccess')) 
							@unlink($filename.DIRECTORY_SEPARATOR.'.htaccess');
						if (is_file($filename.DIRECTORY_SEPARATOR.'index.php')) 
							@unlink($filename.DIRECTORY_SEPARATOR.'index.php');
						if (!rmdir($filename)) 
							echo "<B><font color=red>ERREUR de suppression du repertoire $local_name</font></B><BR>";
					}
				}
			}
			$raz_memo=true;
			break;
			
		case 'Download':
		
		
		// Create an empty XML Document with UTF-8 encoding
		$jd_dom = new DOMDocument('1.0', 'UTF-8');
	//	$jd_dom = new DOMDocument('1.0', 'ISO-8859-1');
		// Create an empty root element
		$rootelement_download= $jd_dom->createElement('download');
		$jd_ii=1;
		
			// boucle des fichiers slectionnes

			foreach ($selected_files as $filename) {
				$filename=trim($filename); // Par prcaution
				$jd_filename=rawurlencode(basename($filename)); // on encode aussi le nom de fichier sinon problme
																// de parse xml sur les fichiers accentus
				$jd_urlstring=$filename;
	$jd_urlstring=rawurlencode("http://" . str_replace($_SERVER['DOCUMENT_ROOT'] ,
												$_SERVER["HTTP_HOST"], $jd_urlstring)); 
//	$jd_strsearch = array("%3A", "%2F","%5C%27");	
//	$jd_strreplace = array(":", "/","dlmquote");
	$jd_strsearch = array("%3A", "%2F","%5C%27");	
	$jd_strreplace = array(":", "/","%27");	  // limine aussi le caractre d'chappement avant le quote										
	$jd_urlstring= str_replace($jd_strsearch, $jd_strreplace, $jd_urlstring);
	$jd_filename= str_replace($jd_strsearch, $jd_strreplace, $jd_filename);		

	if (is_file(str_replace("\'","'",$filename))) {
				
				$jd_file = $jd_dom->createElement('file');
				$jd_file->setAttribute('name',$jd_filename);
				$jd_file->setAttribute('id',$jd_ii);
				$jd_url = $jd_dom->createElement('url');
				$jd_url->appendChild($jd_dom->createTextNode($jd_urlstring));
				$jd_file->appendChild($jd_url);
				// add the files to the root element
				$rootelement_download->appendChild($jd_file);
				$jd_ii++;
				
				
				} elseif (is_dir($filename)) {
		echo "<B><font color=red>Certaines demandes n'ont pas t prises en compte, le tlchargement de rpertoires n'tant pas support</font></B><BR>";
				}
			}
		$raz_memo=true;	
			// add the root element to the DOM (Document Object Model)
			$jd_dom->appendChild($rootelement_download);

			// just print out the file. this will be later read by DL Manager
			$jd_dom->normalize(); 
			$jd_xmlname="./temp/xml_" . get_rand_id(12) . ".xml";
			$jd_dom->save($jd_xmlname);

			 echo "<script language='Javascript'>

function ouvreFenetre(page, largeur, hauteur, haut, gauche) {
  window.open(page, '', 'scrollbars=no,menubar=no,toolbar=no,resizable=no,width=' 
              + largeur + ',height=' + hauteur + ',top=' 
              + haut + ',left=' + gauche);
}
</script>
<body onLoad = \"ouvreFenetre('./modules/dl_manager/dl_manager.php?xmlfile=./../../$jd_xmlname',1200,800,80,200);\">";

		break;			
			
			
			
			
			
		case 'Copy':
		case 'Cut':
			// Mmorisation des fichiers slectionnes dans la session et de l'action
			$_SESSION['Memo_selected_files']=$selected_files;
			$_SESSION['Memo_action']=$action;
			$raz_memo=false;
			break;
		case 'Paste':
			if (isset($_SESSION['Memo_selected_files']) and
				isset($_SESSION['Memo_action'])) {
				foreach ($_SESSION['Memo_selected_files'] as $filename) {
					$filename=trim($filename); // Par prcaution
					$local_name=str_replace($CONFIG['DOCUMENT_ROOT'],'',$filename);
					if (is_file($filename)) {
						$new_filename=trim($current_path.basename($filename));
						$new_local_name=str_replace($CONFIG['DOCUMENT_ROOT'],'',$new_filename);
						switch ($_SESSION['Memo_action']) {
							case 'Copy':
								if (!gf_secure_copy($filename,$new_filename)) echo "<B><font color=red>ERREUR de copie de $local_name => $new_local_name</font></B><BR>";
								break;
							case 'Cut':
								if (!gf_secure_rename($filename,$new_filename)) echo "<B><font color=red>ERREUR de dplacement de $local_name => $new_local_name</font></B><BR>";
								break;
						}
					} else echo "<B><font color=red>IMPOSSIBLE de couper/copier/coller un rpertoire ($local_name)</font></B><BR>";
				}
			}
			$raz_memo=true;
			break;
		case 'Zip':
			$files_to_zip=array();
			foreach ($selected_files as $filename) {
				// On dtermine si l'on doit compresser ou dcompresser
				$filepath = pathinfo($filename);
				if (is_dir($filename)) {
					$files_to_zip[]=$filename; // C'est un rpertoire => On mmorise pour compression
				} elseif (is_file($filename)) {
					// C'est un fichier => On le dcompresse si on reconnait l'extention sinon on le mmorise pour compression
					switch (strtolower($filepath['extension'])) {
						case 'zip':
							@include_once('pclzip.lib.php');
							@include_once('gestfiles.conf.php');
							$zip= new PclZip($filename);
							if (0==($list = $zip->listContent())) {die("Error : ".$zip->errorInfo(true));}
							if (gf_verif_listContent($list)) {
								if ($GESTFILES_CONF['ZIP_PATH']) {
									@$zip->extract(PCLZIP_OPT_PATH, $filepath['dirname']);
								} else {
									@$zip->extract(PCLZIP_OPT_PATH, $filepath['dirname'],PCLZIP_OPT_REMOVE_ALL_PATH);
								}
							} else {
								echo "<B><FONT color=red>ERREUR: Le fichier ".$filepath['basename']." contient des fichiers non autoriss, la dcompression a t interrompue !</FONT></B><BR>";
							}
						break;
						case 'gz':
						case 'tgz':
						case 'tar':
							@include_once('pclerror.lib.php');
							@include_once('pcltrace.lib.php');
							@include_once('pcltar.lib.php');
							$list = PclTarList($filename);
							if (gf_verif_listContent($list)) {
								PclTarExtract($filename, $filepath['dirname']);
							} else {
								echo "<B><FONT color=red>ERREUR: Le fichier ".$filepath['basename']." contient des fichiers non autoriss, la dcompression a t interrompue !</FONT></B><BR>";
							}
						break;
						default:
							// Mmorisation pour compression ulterieur
							$files_to_zip[]=$filename;
						break;
					}
				}
			}
			if (!empty($files_to_zip)) {
				// Compression des fichiers mmorises
				@include_once('pclzip.lib.php');
				@include_once('pclerror.lib.php');
				@include_once('pcltrace.lib.php');
				@include_once('pcltar.lib.php');
				@include_once('gestfiles.conf.php');
				if(empty($NewName)) $NewName=basename($filename);
				if ('.zip'==$GESTFILES_CONF['ZIP_FORMAT']) {
					$zip= new PclZip($current_path.$NewName.".zip");
					if ($GESTFILES_CONF['ZIP_PATH']) {
						$file_list = $zip->create($files_to_zip,PCLZIP_OPT_REMOVE_PATH,$current_path);
					} else {
						$file_list = $zip->create($files_to_zip,PCLZIP_OPT_REMOVE_ALL_PATH);
					}
					if (0==$file_list) {die("Error : ".$zip->errorInfo(true));}
				
				} else {
					PclTarCreate($current_path.$NewName.$GESTFILES_CONF['ZIP_FORMAT'],$files_to_zip,'','',$current_path);
				}
			}
			break;			
		case 'Cocher':
			$gf_checked_all='checked';
			break;
		case 'Dcocher':
			$gf_checked_all='';
			break;
		case 'Crer dossier':
			if (!empty($NewName)) {
				$local_name=str_replace($CONFIG['DOCUMENT_ROOT'],'',$current_path.$NewName);
				if (!@mkdir($current_path.$NewName,0777)) echo "<B><font color=red>ERREUR de cration du repertoire $local_name</font></B><BR>";
			}
			$raz_memo=false;
			break;
		case 'Rename':
			if ( (!empty($NewName)) and count($selected_files)>0 ) {
				$mutli_rename=(count($selected_files)>1);
				$nb=1;
				foreach ($selected_files as $filename) {
					$filename=trim($filename); // Par prcaution
					$local_name=str_replace($CONFIG['DOCUMENT_ROOT'],'',$filename);
					$filepath = pathinfo($filename);
					$ext='';
					if (isset($filepath['extension'])) $ext='.'.$filepath['extension'];
					$NewName=str_replace('.','_',$NewName); // Par prcaution pour viter les PB extention interprtables
					if ($mutli_rename) {
						$new_filename=$filepath['dirname'].DIRECTORY_SEPARATOR.$NewName.'_'.sprintf('%03d',$nb).$ext;
					} else {
						$new_filename=$filepath['dirname'].DIRECTORY_SEPARATOR.$NewName.$ext;
					}
					$new_local_name=str_replace($CONFIG['DOCUMENT_ROOT'],'',$new_filename);
					if (!gf_secure_rename($filename,$new_filename)) echo "<B><font color=red>ERREUR de dplacement de $local_name => $new_local_name</font></B><BR>";
					$nb++;
				}
			}
			$raz_memo=true;
			break;
	}
	if ($raz_memo) {
		// Vide l'action Mmorise
		unset($_SESSION['Memo_selected_files']);
		unset($_SESSION['Memo_action']);
	}
}

/**
	* Copie scurise d'un fichier (on renome le fichier s'il existe dja)
	* @Private
	* @Param string $full_filename		Chemin et Nom du fichier source
	* @Param string $new_full_filename	Chemin et Nom du fichier destination
	* @return boolean				true/false
*/
function gf_secure_copy($full_filename,$new_full_filename) {
	if (empty($full_filename) or empty($new_full_filename)) return(false);
	$file_path=dirname($new_full_filename);
	$file_name=basename($new_full_filename);
	$nbcopy=0;
	while (file_exists($new_full_filename)) {
		$nbcopy++;
		$new_full_filename=$file_path . DIRECTORY_SEPARATOR . '['. $nbcopy .']_' . $file_name;
	}
	return(@copy($full_filename,$new_full_filename));
}

/**
	* Renommage scurise d'un fichier (on renome le fichier s'il existe dja)
	* @Private
	* @Param string $full_filename		Chemin et Nom du fichier source
	* @Param string $new_full_filename	Chemin et Nom du fichier destination
	* @return boolean				true/false
*/
function gf_secure_rename($full_filename,$new_full_filename) {
	if (empty($full_filename) or empty($new_full_filename)) return(false);
	$file_path=dirname($new_full_filename);
	$file_name=basename($new_full_filename);
	$nbcopy=0;
	while (file_exists($new_full_filename)) {
		$nbcopy++;
		$new_full_filename=$file_path . DIRECTORY_SEPARATOR . '['. $nbcopy .']_' . $file_name;
	}
	return(@rename($full_filename,$new_full_filename));
}

/**
	* Vrification qu'une liste de fichier ne contient pas de fichiers excutables
	* @Private
	* @Param string[] $file_list			Liste de nom de fichiers au format listcontent
	* @return boolean				true/false
*/
function gf_verif_listContent($list) {
	// Liste des fichiers interdits  la dcompression.
	$prohibit = array ('.php', '.php3', '.php4', '.php5', '.pl', '.phtml');	
	for ($i=0; $i<sizeof($list); $i++) {
		for ($j=0; $j<sizeof($prohibit); $j++) {
			if (preg_match("/($prohibit[$j])/", $list[$i]['filename'])) return(false);
		}
	}
	return(true);
}

/**
	* Calcul et affiche l'efficacit de la compression
	* @Private
	* @Param string $file_name		Nom du fichier
	* @Param long $original_size		Taille du fichier
	* @return float					Taux de compression
*/
function gf_gain_compression($filename,$original_size) {
	$new_size = filesize($filename);
	$diff = $original_size-$new_size;
	$pc = round($diff/$size1*100, 2);
	if ($pc > 0) {
         echo "<B><font color=green>Taux de compression : $pc %.</font><B>";
	} else {
		echo "<B><font color=green>Taux de compression : </font><font color=red>$pc %.</font><B>";
	}
}

?>


